Get relationship on a role
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/roles/{roleId}/relationships/{id} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/roles/{roleId}/relationships/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/roles/{roleId}/relationships/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "009f778f-83df-454a-b344-768a862a7e55",
"name": "Solicitor",
"contact": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"representatives": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Relationships
Get relationship on a role
Returns a relationship with a specified role in a matter.
GET
/
matters
/
{matterId}
/
roles
/
{roleId}
/
relationships
/
{id}
Get relationship on a role
Path Parameters
Response
When request is successful. Returns a 'Relationship' object.
Show child attributes
Show child attributes
Unique identifier of the relationship.
Example:
"009f778f-83df-454a-b344-768a862a7e55"
Name of the relationship.
Example:
"Solicitor"
Hypermedia link of the associated contact.
Show child attributes
Show child attributes
List of hypermedia links of the associated representatives.
Show child attributes
Show child attributes
āI